//
//  SITOutdoorLocationOptions.h
//  SitumSDK
//
//  Created by Adrián Rodríguez on 24/01/2020.
//  Copyright © 2020 Situm. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 Building detector strategy to find the building to start the indoor positioning. Default value is GPSProximity.
 */
typedef NS_ENUM(NSInteger, kSITBuildingDetector)
{
    /// Detect the nearest building using the GPS location distance to the building
    kSITGpsProximity = 0,
    /// Detect the building using BLE scans
    kSITBLE,
};

// TODO: Document this class
// TODO: Add this header (and all new) to copy files in compilation
/**
 Outdoor location options used only in indoor-outdoor mode
*/
@interface SITOutdoorLocationOptions : NSObject <NSCopying>

// TODO: Add useContinousMode and burstInterval? Problem is, I don't get the recursiveness of the burst mode in Android :(
/**
 Building detector strategy to find the building to start the indoor positioning
*/
@property (nonatomic) kSITBuildingDetector buildingDetector;

@end

